The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Uninstall perl update

Discussion in 'General Discussion' started by SteveK1979, Dec 9, 2005.

  1. SteveK1979

    SteveK1979 Registered

    Joined:
    Mar 15, 2005
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    1
    Hi,

    We are running cPanel on Trustix, versions:

    WHM 10.8.0 cPanel 10.8.1-R30
    Trustix i686 - WHM X v3.1.0

    and it appeast that Perl was updated 2005/12/05 & 06 from the file and dreictory modification times. It looks like this may have broken installations of iKonboard, as the following error is being generated:

    Ikonboard CGI Error Ikonboard has exited with the following error:

    List::Util object version 1.13 does not match bootstrap parameter 1.18

    This error was reported at: /usr/lib/perl5/5.8.3/i586-linux-thread-multi/XSLoader.pm line 91, line 64.

    Please note that your 'real' paths have been removed to protect your information.

    This problem has only appeared in the last few days, but the update times and this problem seem too much of a coincidence. Nothing else has been changed to my knowledge that would affect this.

    Has anyone else seen similar issues, and is it possible to roll back these updates?

    Thanks,

    Steve
     
  2. chirpy

    chirpy Well-Known Member

    Joined:
    Jun 15, 2002
    Messages:
    13,475
    Likes Received:
    20
    Trophy Points:
    38
    Location:
    Go on, have a guess
    This will usually fix it:

    /scripts/perlinstaller --force List::Util
     
  3. SteveK1979

    SteveK1979 Registered

    Joined:
    Mar 15, 2005
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    1
    Thanks for the reponse, worked a treat!

    Cheers,
    Steve
     
  4. Solokron

    Solokron Well-Known Member

    Joined:
    Aug 8, 2003
    Messages:
    849
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    Seattle
    cPanel Access Level:
    DataCenter Provider
    /scripts/perlinstaller --force List::Util appears to loop now as it is expecting the following parameters:

    mbuild_arg, mbuild_install_arg, mbuild_install_build_command, mbuildpl_arg

    *Update.
    Not module related.
    I reconfigured the installer via
    perl -MCPAN -e shell
     
    #4 Solokron, Jan 5, 2006
    Last edited: Jan 5, 2006
Loading...

Share This Page